set_project("Tube")
set_languages("c++17")
-- add_rules("mode.debug", "mode.release")

add_requires("cmake::Geant4", {
    alias = "Geant4",
    system = true,
    configs = {
        components = {"ui_all", "vis_all"}
    }
})
add_requires("cmake::ROOT", {
    alias = "ROOT",
    system = true,
    configs = {
        components = {
            "dl", "Gui", "Core", "RIO", "Net", "Hist", "Gpad",
            "Tree", "Physics", "MathCore", "Thread", "ASImage"
        }
    }
})
add_requires("cmake::Garfield", {
    alias = "Garfield",
    system = true,
    configs = {
        search_mode = "config"
    }
})

target("Tube")
    set_kind("binary")
    add_files("main.cpp")
    add_links("Garfield")
    add_linkdirs("/home/fox/DevKit/GPP/lib")
    add_packages("Geant4", "ROOT", "Garfield")
    set_installdir("$(projectdir)/")
    -- after_install(function (target)
    --     local installdir = target:installdir()
    --     os.cp("$(projectdir)/*.gas", path.join(installdir, "bin"))
    -- end)

target("MDT")
    set_kind("binary")
    add_files("mdt.cpp")
    add_links("Garfield")
    add_linkdirs("/home/fox/DevKit/GPP/lib")
    add_packages("Geant4", "ROOT", "Garfield")
    set_installdir("$(projectdir)/")
